Summary:        A Perl module for time and date manipulation
Name:           perl-TimeDate
Version:        2.33
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/TimeDate
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/TimeDate-%{version}.tar.gz

BuildRequires:  coreutils make glibc-common
BuildRequires:  perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(Exporter) perl(Time::Local) perl(utf8) perl(vars)
BuildRequires:  perl(:VERSION) >= 5.4 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(base) perl(Test::More)

BuildArch:      noarch

%description
This module includes a number of smaller modules that can be used in Perl to manipulate time 
and date strings. Among them, the Date::Format and Date::Parse modules can display and read 
times and dates in various formats, providing a reliable interface to textual representations 
of points in time.

%prep
%autosetup -n TimeDate-%{version}
iconv -f iso-8859-1 -t utf8 < ChangeLog > ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog
chmod -x lib/Date/Language/{Russian_cp1251,Russian_koi8r,Turkish}.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files 
%doc README ChangeLog
%{perl_vendorlib}/Date/
%{perl_vendorlib}/Time/
%{perl_vendorlib}/TimeDate.pm
%{_mandir}/man3/*.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.33-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.33-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.33-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.33-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Wang Guodong <gordonwwang@tencent.com> - 2.33-1
- package init.
